Apache C++ Standard Library Reference Guide

## <exception>

Library: Language support

    Header

- Local Index
- Summary
- Synopsis
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

The header `<exception>` is part of the Language support library of the Standard C++ Library. It contains definitions of types and functions related to the handling of exceptions in a C++ program. The header defines the classes exception and bad_exception, the types unexpected_handler and terminate_handler, and the functions `set_unexpected()`, `unexpected()`, `set_terminate()`, `terminate()`, and `uncaught_exception()`.

### Synopsis

    namespace std {
      class exception;
      class bad_exception;

      typedef void (*unexpected_handler)();
      unexpected_handler set_unexpected(unexpected_handler)
                         throw();
      void unexpected();

      typedef void (*terminate_handler)();
      terminate_handler set_terminate(terminate_handler) throw();
      void terminate();

      bool uncaught_exception();
    }

### See Also

Exceptions, exception, bad_exception

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 19.1